Package org.jfree.layouting.output.pageable

## Class AllPageFlowSelector

- java.lang.Object
- - org.jfree.layouting.output.pageable.AllPageFlowSelector

- All Implemented Interfaces:
    `FlowSelector`, `PageFlowSelector`

      public class AllPageFlowSelector
      extends java.lang.Object
      implements PageFlowSelector

  Creation-Date: 12.11.2006, 13:42:38
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AllPageFlowSelector​()` |
    `AllPageFlowSelector​(boolean logicalPages)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isLogicalPageAccepted​(LogicalPageKey key)` |
    `boolean` | `isMoreContentNeeded​()` |
    `boolean` | `isPhysicalPageAccepted​(PhysicalPageKey key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllPageFlowSelector

          public AllPageFlowSelector​(boolean logicalPages)

    - #### AllPageFlowSelector

          public AllPageFlowSelector​()

  - ### Method Detail

    - #### isPhysicalPageAccepted

          public boolean isPhysicalPageAccepted​(PhysicalPageKey key)

      Specified by:
        `isPhysicalPageAccepted` in interface `PageFlowSelector`

    - #### isLogicalPageAccepted

          public boolean isLogicalPageAccepted​(LogicalPageKey key)

      Specified by:
        `isLogicalPageAccepted` in interface `FlowSelector`

    - #### isMoreContentNeeded

          public boolean isMoreContentNeeded​()

      Specified by:
        `isMoreContentNeeded` in interface `FlowSelector`